lxc-user-nic(1)

NAME
lxc-user-nic - Create and attach a nic to another network namespace.

SYNOPSIS
lxc-user-nic
{pid} {type} {bridge} [nicname]

DESCRIPTION
lxc-user-nic is a setuid-root program with which unprivileged users may create network interfaces for use by a lxc container.

It will consult the configuration file \FC/etc/lxc/lxc-usernet\F[] to determine the number of interfaces which the calling user is allowed to create, and which bridge he may attach them to. It tracks the number of interfaces each user has created using the file \FC/run/lxc/nics\F[]. It ensures that the calling user is privileged over the network namespace to which the interface will be attached.

OPTIONS

pid The process id for the task to whose network namespace the interface should be attached.

type
    The network interface type to attach. Currently only veth is supported. With this type, two interfaces representing each tunnel endpoint are created. One endpoint will be attached to the specified bridge, while the other will be passed into the container.

bridge
    The bridge to which to attach the network interface, for instance \FClxcbr0\F[].

nicname
    The desired interface name in the container. This will be \FCeth0\F[] if unspecified.

COMMON OPTIONS
These options are common to most of lxc commands.

\FC-?, -h, --help\F[]
    Print a longer usage message than normal.

\FC--usage\F[]
    Give the usage message

\FC-q, --quiet\F[]
    mute on

\FC-P, --lxcpath=\F[]PATH
    Use an alternate container path. The default is /var/lib/lxc.

\FC-o, --logfile=\F[]FILE
    Output to an alternate log FILE. The default is no log.

\FC-l, --logpriority=\F[]LEVEL
    Set log priority to LEVEL. The default log priority is \FCERROR\F[]. Possible values are : \FCFATAL\F[], \FCCRIT\F[], \FCWARN\F[], \FCERROR\F[], \FCNOTICE\F[], \FCINFO\F[], \FCDEBUG\F[]. Note that this option is setting the priority of the events log in the alternate log file. It do not have effect on the ERROR events log on stderr.

\FC-n, --name=\F[]NAME
    Use container identifier NAME. The container identifier format is an alphanumeric string.

SEE ALSO
lxc(1), lxc-start(1), lxc-usernet(5)

AUTHOR
Daniel Lezcano <\FCdaniel.lezcano@free.fr\F[]>